/**
 * 自己初始化redis和sequelize，的模块，放到useContextKey当中
 */
import { app } from './app.ts';
import { UserServices, UserInit } from './models/user.ts';
import { Org, OrgInit } from './models/org.ts';
import { useContextKey } from '@kevisual/use-config/context';
import { Sequelize } from 'sequelize';
import { Redis } from 'ioredis';
export const User = UserServices;
export { Org, OrgInit, UserInit };

export const redis = useContextKey<Redis>('redis');
export const sequelize = useContextKey<Sequelize>('sequelize');
export const UserModel = useContextKey<typeof UserServices>('UserModel', () => UserServices);
export const OrgModel = useContextKey<typeof Org>('OrgModel', () => Org);
export { app };
export const init = () => {
  OrgInit();
  UserInit();
};
