/**
 * 直接开发业务代码，把redis和sequelize的初始化放到库当中。
 */
import { useConfig } from '@kevisual/use-config';
import { app } from './app.ts';
import * as sequelizeLib from './modules/sequelize.ts';
export const sequelize = useContextKey('sequelize', () => sequelizeLib.sequelize);

import { UserServices, UserInit } from './models/user.ts';
import { Org, OrgInit } from './models/org.ts';

import * as redisLib from './modules/redis.ts';
import { useContextKey } from '@kevisual/use-config/context';
useConfig();

export const redis = useContextKey('redis', () => redisLib.redis);
export const redisPublisher = useContextKey('redisPublisher', () => redisLib.redisPublisher);
export const redisSubscriber = useContextKey('redisSubscriber', () => redisLib.redisSubscriber);

export const UserModel = useContextKey<typeof UserServices>('UserModel', () => UserServices);
export const OrgModel = useContextKey<typeof Org>('OrgModel', () => Org);
export { app };
export const User = UserServices;
export { Org, OrgInit, UserInit };

export const init = () => {
  OrgInit();
  UserInit();
};
